<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/dump_segment_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/04/85  dump_segment_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>This subroutine prints the dump of a segment formatted in the same way
<span id="L5" class="LineNr"> 5 </span>as the dump_segment command would print it.  The output format is
<span id="L6" class="LineNr"> 6 </span>controlled by a bit string that allows most of the formatting control
<span id="L7" class="LineNr"> 7 </span>arguments available to dump_segment.
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Entry points in dump_segment_:
<span id="L11" class="LineNr">11 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>:Entry:  dump_segment_:  03/04/85  dump_segment_
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Function:
<span id="L18" class="LineNr">18 </span>prints the dump of a segment formatted in the same way as the
<span id="L19" class="LineNr">19 </span>dump_segment command would print it.
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Syntax:
<span id="L24" class="LineNr">24 </span>declare dump_segment_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L25" class="LineNr">25 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr">26 </span>call dump_segment_ <span class="textRainbow_lv0_p0">(</span>iocb_ptr<span class="textRainbow_lv0_o0">,</span> first<span class="textRainbow_lv0_o0">,</span> block_size<span class="textRainbow_lv0_o0">,</span> offset<span class="textRainbow_lv0_o0">,</span> count<span class="textRainbow_lv0_o0">,</span>
<span id="L27" class="LineNr">27 </span>     format<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Arguments:
<span id="L31" class="LineNr">31 </span>iocb_ptr
<span id="L32" class="LineNr">32 </span>   is a pointer to the I/O control block that specifies where the dump
<span id="L33" class="LineNr">33 </span>   is to be written.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>first
<span id="L35" class="LineNr">35 </span>   is a pointer to the first word of the data to be dumped.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr">36 </span>block_size
<span id="L37" class="LineNr">37 </span>   is the number of words in the block if blocked output is desired.
<span id="L38" class="LineNr">38 </span>   If unblocked output is desired, this is zero.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr">39 </span>offset
<span id="L40" class="LineNr">40 </span>   is an arbitrary offset to be printed in addition to the address of
<span id="L41" class="LineNr">41 </span>   the first word of data to be dumped if the offset option in the
<span id="L42" class="LineNr">42 </span>   format string is specified.  <span class="textRainbow_lv0_p0">(</span>It is reset to this initial value at
<span id="L43" class="LineNr">43 </span>   the start of each block.<span class="textRainbow_lv0_p0">)</span>  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>count
<span id="L47" class="LineNr">47 </span>   is the number of words to dump, starting with the word pointed to by
<span id="L48" class="LineNr">48 </span>   first.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L49" class="LineNr">49 </span>format
<span id="L50" class="LineNr">50 </span>   is a format control bit string with the following definition:  <span class="textRainbow_lv0_p0">(</span>See
<span id="L51" class="LineNr">51 </span>   the dump_segment command in the Multics Commands and Active
<span id="L52" class="LineNr">52 </span>   Functions Manual<span class="textRainbow_lv0_o0">,</span> for a full discussion of these arguments.<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>:Entry:  string:  03/04/85 dump_segment_$string
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>Function:  This entry point returns the formatted dump of a segment.
<span id="L59" class="LineNr">59 </span>The ouput format is controlled by a bit string that allows most of the
<span id="L60" class="LineNr">60 </span>formatting control arguments available to the dump_segment command.
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>
<span id="L63" class="LineNr">63 </span>Syntax:
<span id="L64" class="LineNr">64 </span>dcl dump_segment_$string entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L65" class="LineNr">65 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L66" class="LineNr">66 </span>call dump_segment_$string <span class="textRainbow_lv0_p0">(</span>string_ptr<span class="textRainbow_lv0_o0">,</span> string_length<span class="textRainbow_lv0_o0">,</span> first<span class="textRainbow_lv0_o0">,</span>
<span id="L67" class="LineNr">67 </span>     block_size<span class="textRainbow_lv0_o0">,</span> offset<span class="textRainbow_lv0_o0">,</span> count<span class="textRainbow_lv0_o0">,</span> format<span class="textRainbow_lv0_p0">)</span>
<span id="L68" class="LineNr">68 </span>
<span id="L69" class="LineNr">69 </span>
<span id="L70" class="LineNr">70 </span>Arguments:
<span id="L71" class="LineNr">71 </span>string_ptr
<span id="L72" class="LineNr">72 </span>   is the pointer to the varying character string to place the output
<span id="L73" class="LineNr">73 </span>   in.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr">74 </span>string_length
<span id="L75" class="LineNr">75 </span>   is the maximum length of the varying character string.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L76" class="LineNr">76 </span>first
<span id="L77" class="LineNr">77 </span>   is the pointer to the first word of data to be dump.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L78" class="LineNr">78 </span>block_size
<span id="L79" class="LineNr">79 </span>   is the output dump in blocks of this number of words.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L80" class="LineNr">80 </span>offset
<span id="L81" class="LineNr">81 </span>   is an arbitrary offset to be printed in addition to the address of
<span id="L82" class="LineNr">82 </span>   the first word of data to be dumped if the offset option in the
<span id="L83" class="LineNr">83 </span>   format string is specified.  <span class="textRainbow_lv0_p0">(</span>It is reset to this initial value at
<span id="L84" class="LineNr">84 </span>   the start of each block.<span class="textRainbow_lv0_p0">)</span>  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L85" class="LineNr">85 </span>
<span id="L86" class="LineNr">86 </span>
<span id="L87" class="LineNr">87 </span>count
<span id="L88" class="LineNr">88 </span>   is the number of words to be dump.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L89" class="LineNr">89 </span>format
<span id="L90" class="LineNr">90 </span>   is the bit string controlling the output modes.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> Described
<span id="L91" class="LineNr">91 </span>   in dump_segment_format.incl.pl1.
<span id="L92" class="LineNr">92 </span>
<span id="L93" class="LineNr">93 </span>
<span id="L94" class="LineNr">94 </span>Notes:  The dump_segment_format_structure is structure is declared in
<span id="L95" class="LineNr">95 </span>dump_segment_format.incl.pl1.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
